package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author pavel.liu
 * @since 2021-07-13
 */

@TableName("DC_GROUP")

public class DcGroup extends Model<DcGroup> {

    private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("DC_GROUP")
   private String dcGroup;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("SITE")
   private String site;
   @TableField("COLLECT_DATA_AT")
   private String collectDataAt;
   @TableField("CUSTOM_BUTTON_ID")
   private String customButtonId;
   @TableField("PASS_FAIL_GROUP")
   private String passFailGroup;
   @TableField("REVISION")
   private String revision;
   @TableField("CURRENT_REVISION")
   private String currentRevision;
   @TableField("STATUS_BO")
   private String statusBo;
   @TableField("AUTHENTICATION_REQUIRED")
   private String authenticationRequired;
   @TableField("ERP")
   private String erp;
   @TableField("COLLECT_METHOD")
   private String collectMethod;
   @TableField("COLLECTION_TYPE")
   private String collectionType;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("ERP_INSPECTION")
   private String erpInspection;
   @TableField("ERP_WHOLE_GROUP_INSPECTION")
   private String erpWholeGroupInspection;
   @TableField("ME_EVAL_INSPECTION")
   private String meEvalInspection;
   @TableField("PASS_FAIL_NUMBER")
   private Long passFailNumber;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getDcGroup() {
      return dcGroup;
   }

   public void setDcGroup(String dcGroup) {
      this.dcGroup = dcGroup;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getCollectDataAt() {
      return collectDataAt;
   }

   public void setCollectDataAt(String collectDataAt) {
      this.collectDataAt = collectDataAt;
   }

   public String getCustomButtonId() {
      return customButtonId;
   }

   public void setCustomButtonId(String customButtonId) {
      this.customButtonId = customButtonId;
   }

   public String getPassFailGroup() {
      return passFailGroup;
   }

   public void setPassFailGroup(String passFailGroup) {
      this.passFailGroup = passFailGroup;
   }

   public String getRevision() {
      return revision;
   }

   public void setRevision(String revision) {
      this.revision = revision;
   }

   public String getCurrentRevision() {
      return currentRevision;
   }

   public void setCurrentRevision(String currentRevision) {
      this.currentRevision = currentRevision;
   }

   public String getStatusBo() {
      return statusBo;
   }

   public void setStatusBo(String statusBo) {
      this.statusBo = statusBo;
   }

   public String getAuthenticationRequired() {
      return authenticationRequired;
   }

   public void setAuthenticationRequired(String authenticationRequired) {
      this.authenticationRequired = authenticationRequired;
   }

   public String getErp() {
      return erp;
   }

   public void setErp(String erp) {
      this.erp = erp;
   }

   public String getCollectMethod() {
      return collectMethod;
   }

   public void setCollectMethod(String collectMethod) {
      this.collectMethod = collectMethod;
   }

   public String getCollectionType() {
      return collectionType;
   }

   public void setCollectionType(String collectionType) {
      this.collectionType = collectionType;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getErpInspection() {
      return erpInspection;
   }

   public void setErpInspection(String erpInspection) {
      this.erpInspection = erpInspection;
   }

   public String getErpWholeGroupInspection() {
      return erpWholeGroupInspection;
   }

   public void setErpWholeGroupInspection(String erpWholeGroupInspection) {
      this.erpWholeGroupInspection = erpWholeGroupInspection;
   }

   public String getMeEvalInspection() {
      return meEvalInspection;
   }

   public void setMeEvalInspection(String meEvalInspection) {
      this.meEvalInspection = meEvalInspection;
   }

   public Long getPassFailNumber() {
      return passFailNumber;
   }

   public void setPassFailNumber(Long passFailNumber) {
      this.passFailNumber = passFailNumber;
   }

public static final String HANDLE = "HANDLE";

public static final String DC_GROUP = "DC_GROUP";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String SITE = "SITE";

public static final String COLLECT_DATA_AT = "COLLECT_DATA_AT";

public static final String CUSTOM_BUTTON_ID = "CUSTOM_BUTTON_ID";

public static final String PASS_FAIL_GROUP = "PASS_FAIL_GROUP";

public static final String REVISION = "REVISION";

public static final String CURRENT_REVISION = "CURRENT_REVISION";

public static final String STATUS_BO = "STATUS_BO";

public static final String AUTHENTICATION_REQUIRED = "AUTHENTICATION_REQUIRED";

public static final String ERP = "ERP";

public static final String COLLECT_METHOD = "COLLECT_METHOD";

public static final String COLLECTION_TYPE = "COLLECTION_TYPE";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String ERP_INSPECTION = "ERP_INSPECTION";

public static final String ERP_WHOLE_GROUP_INSPECTION = "ERP_WHOLE_GROUP_INSPECTION";

public static final String ME_EVAL_INSPECTION = "ME_EVAL_INSPECTION";

public static final String PASS_FAIL_NUMBER = "PASS_FAIL_NUMBER";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "DcGroup{" +
         "handle = " + handle +
         ", dcGroup = " + dcGroup +
         ", description = " + description +
         ", site = " + site +
         ", collectDataAt = " + collectDataAt +
         ", customButtonId = " + customButtonId +
         ", passFailGroup = " + passFailGroup +
         ", revision = " + revision +
         ", currentRevision = " + currentRevision +
         ", statusBo = " + statusBo +
         ", authenticationRequired = " + authenticationRequired +
         ", erp = " + erp +
         ", collectMethod = " + collectMethod +
         ", collectionType = " + collectionType +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         ", erpInspection = " + erpInspection +
         ", erpWholeGroupInspection = " + erpWholeGroupInspection +
         ", meEvalInspection = " + meEvalInspection +
         ", passFailNumber = " + passFailNumber +
         "}";
   }
}